<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CPreprocessor.html">CPreprocessor</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::CPreprocessor Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ae68f19bf20ad731317b05606e43dc97a">BOL</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a7ed67863b31fb78419acf61109c74c48">CPreprocessor</a>(const Token &amp;iToken, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a70001f3fef03cc20b5142e67702c3b3f">CPreprocessor</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a7ed67863b31fb78419acf61109c74c48">CPreprocessor</a>(const Token &amp;iToken, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a70001f3fef03cc20b5142e67702c3b3f">CPreprocessor</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#add20dea21f6ffd096bfb856da834c578">CPreprocessor::Macro</a> class</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a3026667d0f447d89bcac3fd8c6007a00">Define</a>(const char *iMacroName, size_t iMacroNameLen, const char *iMacroValue, size_t iMacroValueLen)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a70c0a271d5ea9dcf93d13f9c08318458">Define</a>(const char *iMacroName, size_t iMacroNameLen, long iMacroValue)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a3026667d0f447d89bcac3fd8c6007a00">Define</a>(const char *iMacroName, size_t iMacroNameLen, const char *iMacroValue, size_t iMacroValueLen)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a70c0a271d5ea9dcf93d13f9c08318458">Define</a>(const char *iMacroName, size_t iMacroNameLen, long iMacroValue)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aed088b4e9825cbaf441eaa9c6e0edffe">EnableOutput</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af29a969505cfddcb84510036e6b80d26">Error</a>(int iLine, const char *iError, const Token *iToken=NULL)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af29a969505cfddcb84510036e6b80d26">Error</a>(int iLine, const char *iError, const Token *iToken=NULL)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a9e0f513952ac2778f164fe178b826db7">ErrorData</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ad9de8718668c27fbefe882fe08e4879a">ErrorHandler</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ab28e2d92b3f30f6d5237eb88b566cf2d">ErrorHandlerFunc</a> typedef</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ab28e2d92b3f30f6d5237eb88b566cf2d">ErrorHandlerFunc</a> typedef</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a324e1d364562292acb8c872234dd2df8">ExpandDefined</a>(CPreprocessor *iParent, int iNumArgs, Token *iArgs)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a324e1d364562292acb8c872234dd2df8">ExpandDefined</a>(CPreprocessor *iParent, int iNumArgs, Token *iArgs)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a99b76014f9760fcf4ee62235c19dc2bb">ExpandMacro</a>(const Token &amp;iToken)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a99b76014f9760fcf4ee62235c19dc2bb">ExpandMacro</a>(const Token &amp;iToken)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aa22dc1c84c19c8e5fd512a86d625ad84">GetArgument</a>(Token &amp;oArg, bool iExpand)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aa22dc1c84c19c8e5fd512a86d625ad84">GetArgument</a>(Token &amp;oArg, bool iExpand)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aa8b0a1f8a1e5ad02557944304f9b68b1">GetArguments</a>(int &amp;oNumArgs, Token *&amp;oArgs, bool iExpand)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aa8b0a1f8a1e5ad02557944304f9b68b1">GetArguments</a>(int &amp;oNumArgs, Token *&amp;oArgs, bool iExpand)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a464dd5edb4fe05353f5d3e7ba4891ce3">GetExpression</a>(Token &amp;oResult, int iLine, int iOpPriority=0)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a464dd5edb4fe05353f5d3e7ba4891ce3">GetExpression</a>(Token &amp;oResult, int iLine, int iOpPriority=0)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a86424507c9ad27b9f2dfe58af687337d">GetToken</a>(bool iExpand)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a86424507c9ad27b9f2dfe58af687337d">GetToken</a>(bool iExpand)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a561e0b06adcbb0ce06e0362cb94165a2">GetValue</a>(const Token &amp;iToken, long &amp;oValue, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a561e0b06adcbb0ce06e0362cb94165a2">GetValue</a>(const Token &amp;iToken, long &amp;oValue, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a3ead8f6089563cc58c2971df8f547d15">HandleDefine</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a3ead8f6089563cc58c2971df8f547d15">HandleDefine</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a0aaad88f138b893ef1ebfa71ddc8adfa">HandleDirective</a>(Token &amp;iToken, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a0aaad88f138b893ef1ebfa71ddc8adfa">HandleDirective</a>(Token &amp;iToken, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a349fc959f355dea44ecb35060f5a371a">HandleElse</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a349fc959f355dea44ecb35060f5a371a">HandleElse</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ad2d95dc8ff84337b6b98fc557dbea6f1">HandleEndIf</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ad2d95dc8ff84337b6b98fc557dbea6f1">HandleEndIf</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af76e82ceead20b3a15155f15ae1644fe">HandleIf</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af76e82ceead20b3a15155f15ae1644fe">HandleIf</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a0c8a33c1a96450035c6954c503b10e05">HandleIfDef</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a0c8a33c1a96450035c6954c503b10e05">HandleIfDef</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a31803eb25b17bca23e1b288f50b7f951">HandleUnDef</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a31803eb25b17bca23e1b288f50b7f951">HandleUnDef</a>(Token &amp;iBody, int iLine)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af58ac5836a2327c1904a744d5113910d">IsDefined</a>(const Token &amp;iToken)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af58ac5836a2327c1904a744d5113910d">IsDefined</a>(const Token &amp;iToken)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a6aa8215b76abc8e5a9c2d604d2accb9a">Line</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#af72ef2a02afa2a0bee42cf1063199f79">MacroList</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aa61f5214e59c7c18f0b87bd333d16564">Parse</a>(const Token &amp;iSource)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ac9c8ca6c8013a5217275e35e9727052d">Parse</a>(const char *iSource, size_t iLength, size_t &amp;oLength)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#aa61f5214e59c7c18f0b87bd333d16564">Parse</a>(const Token &amp;iSource)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#ac9c8ca6c8013a5217275e35e9727052d">Parse</a>(const char *iSource, size_t iLength, size_t &amp;oLength)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a7dc31573de9dc2f77bf9cdd8483e9c47">Source</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a822e0a0c63529dc94e6546b9055dd03b">SourceEnd</a></td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a3849848c4223928aea432f66184d541e">Undef</a>(const char *iMacroName, size_t iMacroNameLen)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a3849848c4223928aea432f66184d541e">Undef</a>(const char *iMacroName, size_t iMacroNameLen)</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a2b7c3b1a3208a27b36e87eee69464508">~CPreprocessor</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CPreprocessor.html#a2b7c3b1a3208a27b36e87eee69464508">~CPreprocessor</a>()</td><td><a class="el" href="classOgre_1_1CPreprocessor.html">Ogre::CPreprocessor</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:22
</p>
</body>
</html>
